//
// This file is auto-generated by script docgen.py.
// DO NOT EDIT BY HAND!
//
[[command_exec_exec]]
* `+exec+`: wykonywanie zewnętrznych komend

----
/exec  -list
       [-sh|-nosh] [-bg|-nobg] [-stdin|-nostdin] [-buffer <nazwa>] [-l|-o|-n|-nf] [-cl|-nocl] [-sw|-nosw] [-ln|-noln] [-flush|-noflush] [-color ansi|auto|irc|weechat|strip] [-rc|-norc] [-timeout <czas>] [-name <nazwa>] [-pipe <komenda>] [-hsignal <nazwa>] <komenda>
       -in <id> <tekst>
       -inclose <id> [<tekst>]
       -signal <id> <sygnał>
       -kill <id>
       -killall
       -set <id> <właściwość> <wartość>
       -del <id>|-all [<id>...]

   -list: wyświetla komendy
     -sh: użyj powłoki do wykonania komendy (UWAGA: użyj tej opcji TYLKO jeśli wszystkie argumenty są bezpieczne, zobacz opcję -nosh)
   -nosh: nie używaj powłoki do wykonania komendy (wymagane jeśli komenda posiada niebezpieczne dane, na przykład zawartość wiadomości od innego użytkownika) (domyślne)
     -bg: uruchom proces w tle: nie wyświetlaj wyjścia z procesu ani zwracanego kodu (nie kompatybilne z opcjami -o/-n)
   -nobg: przechwyć całość wyjścia z procesu i wyświetl kod wyjścia (domyślne)
  -stdin: tworzy strumień do wysyłania danych do procesu (za pomocą /exec -in/-inclose)
-nostdin: nie twórz strumienia dla stdin (domyślne)
 -buffer: wyświetl/wyślij wyjście komendy do tego bufora (jeśli bufor nie zostanie znaleziony zostanie utworzony nowy bufor o nazwie "exec.exec.xxx")
      -l: wyświetl lokalnie wyście z komendy w buforze (domyślne)
      -o: wyślij wyjście z komendy do bufora (nie kompatybilne z opcją -bg)
     -oc: wysyła wyjście komendy do bufora i wykonuje komendy (linie zaczynające się od "/" lub własnego znaku komendy) (nie kompatybilne z opcjami -bg/-pipe/-hsignal)
      -n: wyświetl wyjście komendy w nowym buforze (nie kompatybilne z opcjami -bg/-pipe/-hsignal)
     -nf: wyświetl wyjście komendy w nowym buforze z wolna zawartością (brak zawijania słów, bez limitu ilości linii) (nie kompatybilne z opcjami -bg/-pipe/-hsignal)
     -cl: wyczyść nowy bufor przed wyświetleniem wyjścia
   -nocl: dodaj do nowego bufora bez czyszczenia zawartości (domyślne)
     -sw: przełącz na bufor wyjściowy (domyślne)
   -nosw: nie przełączaj na bufor wyjściowy
     -ln: wyświetl numery linii (domyślne tylko w nowym buforze)
   -noln: nie wyświetlaj numerów linii
  -flush: wyświetl wyjście z komendy w czasie rzeczywistym (domyślne)
-noflush: wyświetl wyjście z komendy po jej zakończeniu
  -color: akcja na kolorach ANSI w wyjściu:
             ansi: zachowaj kody ANSI
             auto: konwertuj kolory ANSI na WeeChat/IRC (domyślne)
              irc: konwertuj kolory ANSI na kolory IRC
          weechat: konwertuj kolory ANSI na kolory WeeChat
            strip: usuń kolory ANSI
     -rc: wyświetl kod wyjścia (domyślne)
   -norc: nie wyświetlaj kodu wyjścia
-timeout: ustaw timeout dla komendy (w sekundach)
   -name: ustaw nazwę dla komendy (do wywołania później za pomocą /exec)
   -pipe: wyślij wyjście do WeeChat/wtyczki (linia po linii); jeśli występują spacje w komendzie/argumentach, otocz je cudzysłowem; zmienna $line jest zastępowana przez linie (domyślnie linia jest dodawana za komendą, oddzielona spacją) (nie kompatybilne z opcjami -bg/-o/-oc/-n/-nf)
-hsignal: wyślij wyjście jako hsignal (w celu użycia na przykład w triggerze) (nie kompatybilne z opcjami -bg/-o/-oc/-n/-nf)
 komenda: komenda do wykonania; jeśli zaczyna się od "url:", powłoka jest wyłączana i zawartość URLa jest pobierana i wysyłana jako wyjście
      id: identyfikator komendy: numer lub nazwa (jeśli ustawiona przez "-name xxx")
     -in: wyślij tekst na standardowe wejście procesu
-inclose: to samo co -in, ale stdin jest zamykane (tekst jest opcjonalny: bez niego stdin jest po prostu zamykane)
 -signal: wysyła sygnał do procesu; sygnał może być liczbą całkowitą lub jedna z nazw: hup, int, quit, kill, term, usr1, usr2
   -kill: alias dla "-signal <id> kill"
-killall: zabija wszystkie działające procesy
    -set: ustawia przypisaną właściwość (zobacz funkcję hook_set w opisie API wtyczek)
właściwość: przypisana właściwość
   wartość: nowa wartość
    -del: usuń zakończoną komendę
    -all: usuń wszystkie zakończone komendy

Domyślne opcje moga być ustawione za pomocą opcji exec.command.default_options.

Przykłady:
  /exec -n ls -l /tmp
  /exec -sh -n ps xu | grep weechat
  /exec -n -norc url:http://pastebin.com/raw.php?i=xxxxxxxx
  /exec -nf -noln links -dump https://weechat.org/files/doc/devel/weechat_user.en.html
  /exec -o uptime
  /exec -pipe "/print Machine uptime:" uptime
  /exec -n tail -f /var/log/messages
  /exec -kill 0
----
